Package org.eclipse.ecf.remoteservice.client

# Class AbstractRSAClientContainer.RSAClientRegistration

java.lang.Object
org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration
org.eclipse.ecf.remoteservice.client.AbstractRSAClientContainer.RSAClientRegistration

All Implemented Interfaces:
  `IRemoteServiceRegistration`

Enclosing class:
  AbstractRSAClientContainer

public class AbstractRSAClientContainer.RSAClientRegistration extends RemoteServiceClientRegistration

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

`callables, CLASS_METHOD_SEPARATOR, clazzes, containerId, properties, reference, registry, serviceID`

## Constructor Summary

Constructors
Constructor
Description
`RSAClientRegistration(ID targetID, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties)`

## Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

`findDefaultRemoteCallable, findRemoteCallable, getClassLoader, getClazzes, getContainerID, getFQMethod, getID, getProperty, getPropertyKeys, getReference, lookupCallable, setClassLoader, setProperties, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSAClientRegistration

public RSAClientRegistration(ID targetID, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties)